"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var react_native_1 = require("react-native");
var prime_label_1 = __importDefault(require("./prime-label"));
var top_header_left_arrow_1 = require("./icons/top-header-left-arrow");
var PrimeSubPageHeader = React.forwardRef(function (_a, ref) {
    var height = _a.height, componentGap = _a.componentGap, title = _a.title, funcComponent = _a.funcComponent, backgroundColor = _a.backgroundColor;
    return (<react_native_1.View className={"flex w-full flex-row items-center justify-between px-[20px] ".concat(height ? height : 'h-[48px]')} ref={ref}>
        <react_native_1.View className="flex flex-row items-center gap-4">
          <react_native_1.TouchableOpacity onPress={function () {
            console.log('go back');
        }}>
            <top_header_left_arrow_1.TopHeaderLeftArrowIcon />
          </react_native_1.TouchableOpacity>
        </react_native_1.View>
        {title && (<react_native_1.View className="absolute left-0 right-0 flex items-center">
            <prime_label_1.default value={title} labelClassName="text-[17px]" isLabelOnly/>
          </react_native_1.View>)}
        <react_native_1.View className="flex-1 flex flex-row items-center justify-end gap-4">
          {funcComponent &&
            funcComponent.map(function (comp, index) { return <react_native_1.View key={index}>{comp}</react_native_1.View>; })}
        </react_native_1.View>
      </react_native_1.View>);
});
exports.default = PrimeSubPageHeader;
//# sourceMappingURL=prime-sub-page-header.js.map