import * as React from 'react';
type PrimeTextFace = 'display' | 'title' | 'body' | 'paragraph' | 'caption';
type ParagraphSize = 'xsmall' | 'small' | 'medium' | 'large' | 'xlarge' | '2xlarge';
type TextSize = ParagraphSize;
interface PrimeTextProps {
    face?: PrimeTextFace;
    size?: TextSize;
    textColor?: string;
    children: string;
}
export default function PrimeText({ face, size, textColor, children, }: PrimeTextProps): React.JSX.Element;
export {};
//# sourceMappingURL=prime-text.d.ts.map